/*
Theme Name: Twenty Twenty-Five Child
Theme URI: https://wordpress.org/themes/twentytwentyfive/
Template: twentytwentyfive
Author: the WordPress team
Author URI: https://wordpress.org
Description: Twenty Twenty-Five emphasizes simplicity and adaptability. It offers flexible design options, supported by a variety of patterns for different page types, such as services and landing pages, making it ideal for building personal blogs, professional portfolios, online magazines, or business websites. Its templates cater to various blog styles, from text-focused to image-heavy layouts. Additionally, it supports international typography and diverse color palettes, ensuring accessibility and customization for users worldwide.
Tags: one-column,custom-colors,custom-menu,custom-logo,editor-style,featured-images,full-site-editing,block-patterns,rtl-language-support,sticky-post,threaded-comments,translation-ready,wide-blocks,block-styles,style-variations,accessibility-ready,blog,portfolio,news
Version: 1.4.1768988652
Updated: 2026-01-21 09:44:12

*/

/* Explore Section */
/* Grid */
.explore-grid {
	display: grid;
	grid-template-columns: repeat(auto-fit, minmax(180px, 1fr));
	gap: 12px;
}

/* Card */
.explore-item {
	background: #1F1F1F;
	padding: 25px 30px;
	text-align: center;
	text-decoration: none;
	transition: transform 0.3s ease, box-shadow 0.3s ease;
}

.explore-item:hover {
	transform: translateY(-5px);
	box-shadow: 0 10px 30px rgba(255, 0, 0, 0.3);
}

/* Icon/Image */
.explore-item img {
	width: 40px;
	height: 40px;
	object-fit: contain;
	margin-bottom: 8px;
	filter: brightness(0) saturate(100%) invert(20%) sepia(100%) saturate(5000%) hue-rotate(0deg);
}

/* Category Title */
.explore-item span {
	display: block;
	color: #fff;
	font-size: 18px;
	font-weight: 500;
}

.bsd-stories .bsd-post-grid .bsd-post-content .wp-block-columns .wp-block-column-is-layout-flow {
    display: flex;
    align-items: center;
    gap: 5px;
}
.bsd-stories .bsd-post-grid .bsd-post-content .wp-block-columns .wp-block-column-is-layout-flow .wp-block-post-time-to-read {
    margin-block-start: 0;
}
.bsd-subscription-form {
    position: relative;
    display: flex;
}
.bsd-subscription-form .wpcf7-email {
    background: #282828;
    border: 1px solid #464444;
    height: 45px;
    margin-right: 10px;
    padding: 5px 20px;
    color: #fff;
}
.bsd-subscription-form .wpcf7-submit {
    background: #ED1115;
    height: 56px;
    border: 0;
    box-shadow: 0 4px 16px 0 #10B9814D;
    padding: 23px 56px;
    font-size: 14px;
    line-height: 12px;
    text-transform: uppercase;
    color: #fff;
    font-family: "K2D", sans-serif;
    cursor: pointer;
}
.bsd-subscription-form .wpcf7-spinner {
    position: absolute;
    bottom: 15px;
    right: -20px;
}
.bsd-subscription-form .wpcf7-form-control-wrap {
    width: 100%;
}
.bsd-subscription-form .wpcf7-form-control-wrap .wpcf7-email {
    width: 85%;
}
.superblockslider__button__icon svg {
    opacity: 0;
}
.superblockslider__button {
    width: 8px;
    min-width: unset;
    height: 10px;
    padding: 0;
    border-radius: 3px;
    background-color: #666 !important;
    transition: all 0.3s ease;
}
.superblockslider__button--active {
    width: 16px;
    height: 10px;
    border-radius: 3px;
    background-color: #ed1115 !important;
}
.superblockslider__controls {
    display: flex;
    align-items: center;
    gap: 10px;
}
.bsd-banner-sec .wp-block-button a {
    position: relative;
    display: inline-flex;
    align-items: center;
    gap: 16px;
    padding-right: 70px;
}
.bsd-banner-sec .wp-block-button a::after {
    content: "";
    width: 20px;
    height: 2px;
    background: #fff;
    display: inline-block;
    position: relative;
}
.bsd-banner-sec .wp-block-button a::before {
    content: "";
    width: 6px;
    height: 6px;
    border-right: 3px solid #fff;
    border-top: 3px solid #fff;
    transform: rotate(45deg);
    position: absolute;
    right: 20px;
}
#back-btn {
    cursor: pointer;
}
.wp-block-query ul li .wp-block-post-title a {
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    overflow: hidden;
    line-height: 1.45em;
    min-height: calc(1.45em * 2);
}
.wp-block-query ul li .wp-block-post-excerpt p {
    display: -webkit-box;
    -webkit-line-clamp: 3;
    -webkit-box-orient: vertical;
    overflow: hidden;
    line-height: 1.5em;
    min-height: calc(1.5em * 3);
}

@media (max-width: 767px) {
    .bsd-banner-sec .superblockslider__slide_inner {
        padding: 0 16px 16px;
    }
    header .wp-block-group-is-layout-flex .wp-block-spacer {
        display: none;
    }
    .bsd-cta {
        padding: 16px !important;
    }
    .bsd-subscription-form .wpcf7-form-control-wrap .wpcf7-email {
        width: 88%;
    }
    .bsd-subscription-form {
        flex-wrap: wrap;
        row-gap: 20px;
    }
    .bsd-subscription-form .wpcf7-submit {
        width: 100%;
    }
    .bsd-stories .bsd-post-grid .bsd-post-content .wp-block-columns .wp-block-column {
        flex-basis: unset !important;
    }
    .bsd-stories .bsd-post-grid .bsd-post-content .wp-block-columns .wp-block-column:nth-child(1) {
        flex-basis: 25% !important;
    }
    .bsd-stories .bsd-post-grid .bsd-post-content .wp-block-columns .wp-block-column:nth-child(2) {
        flex-basis: 75% !important;
    }
    footer .wp-block-columns {
        text-align: center;
    }
    footer .wp-block-columns .wp-block-column ul {
        justify-content: center;
    }
    .bsd-cat-section .bsd-title-container {
        flex-wrap: unset !important;
    }
    .explore-grid {
		display: flex;
		overflow-x: auto;
		gap: 16px;
		scroll-snap-type: x mandatory;
	}
	.explore-item {
		min-width: 30%;
		scroll-snap-align: start;
	}
    .bsd-author-section .wp-block-columns {
        flex-wrap: nowrap !important;
    }
    .bsd-author-section .wp-block-columns .wp-block-column:nth-child(1) {
        flex-basis: 52px !important;
    }
    .bsd-author-section .wp-block-columns .wp-block-column:nth-child(2) .wp-block-group {
        justify-content: flex-start;
    }
    .single-post .bsd-title-section h2 {
        border-bottom: 1px solid #fff3;
        margin-bottom: 20px;    
    }
    .single-post .wp-block-separator {
        display: none;
    }
    .bsd-related-articles ul {
        display: flex;
        overflow-x: auto;
        gap: 16px;
        scroll-snap-type: x mandatory;
    }
    .bsd-related-articles ul li {
        min-width: 80%;
        scroll-snap-align: start;
    }
    .single-post .bsd-related-articles {
        padding-left: 15px !important;
    }
    .single-post .bsd-post-title,
    .single-post .bsd-content-section {
        padding-left: 15px !important;
        padding-right: 15px !important;
    }
    header.wp-block-template-part {
        padding: 0 15px;
    }
    .home main,
    .archive main {
        padding-left: 15px !important;
        padding-right: 15px !important;
    }
}
